Package uk.ac.starlink.topcat.interop

## Class DisabledTransmitter

- java.lang.Object
- - uk.ac.starlink.topcat.interop.DisabledTransmitter

- All Implemented Interfaces:
    `Transmitter`

      public class DisabledTransmitter
      extends java.lang.Object
      implements Transmitter

  Transmitter implementation which is permanently disabled. The transmit actions cannot therefore be invoked by the user; if they are invoked programatically, they will do nothing.
  Since:
    16 Aug 2010
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DisabledTransmitter​(java.lang.String sendType)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.swing.JMenu` | `createSendMenu()` | Returns a per-application menu which allows sending the information to any single one of the appropriate recipients.
    `javax.swing.Action` | `getBroadcastAction()` | Returns an action which sends the information to all appropriate recipients.
    `void` | `setEnabled​(boolean enabled)` | Sets whether the send actions controlled by this transmitter should be enabled or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DisabledTransmitter

          public DisabledTransmitter​(java.lang.String sendType)

      Constructor.
      Parameters:
        `sendType` - short string describing type of item (notionally) being sent

  - ### Method Detail

    - #### getBroadcastAction

          public javax.swing.Action getBroadcastAction()

      Description copied from interface: `Transmitter`
      Returns an action which sends the information to all appropriate recipients.
      Specified by:
        `getBroadcastAction` in interface `Transmitter`
      Returns:
        broadcast action

    - #### createSendMenu

          public javax.swing.JMenu createSendMenu()

      Description copied from interface: `Transmitter`
      Returns a per-application menu which allows sending the information to any single one of the appropriate recipients.
      Specified by:
        `createSendMenu` in interface `Transmitter`
      Returns:
        send menu

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Description copied from interface: `Transmitter`
      Sets whether the send actions controlled by this transmitter should be enabled or not. This is an AND-like restriction - the actions may still be disabled for other reasons (e.g. no hub connection).
      Specified by:
        `setEnabled` in interface `Transmitter`
      Parameters:
        `enabled` - true iff actions may be invoked

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.